Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.metadata
Class StringLengthFieldValidatorDescription

    java.lang.Object
      com.opensymphony.xwork2.validator.metadata.AbstractFieldValidatorDescription
          com.opensymphony.xwork2.validator.metadata.StringLengthFieldValidatorDescription

All Implemented Interfaces:
  ValidatorDescription

    public class StringLengthFieldValidatorDescription

extends AbstractFieldValidatorDescription

`StringLengthFieldValidatorDescription`

Version:
  $Id: StringLengthFieldValidatorDescription.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  Rainer Hermanns

Field Summary
`java.lang.String` | `maxLength`
`java.lang.String` | `minLength`
`boolean` | `trim`

Fields inherited from class com.opensymphony.xwork2.validator.metadata.AbstractFieldValidatorDescription
`fieldName, key, log, message, shortCircuit, simpleValidator`

Constructor Summary
`StringLengthFieldValidatorDescription()`
`StringLengthFieldValidatorDescription(java.lang.String fieldName)` Creates an AbstractFieldValidatorDescription with the specified field name.

Method Summary
`java.lang.String` | `asFieldXml()` Returns the field validator XML definition.
`java.lang.String` | `asSimpleXml()` Returns the validator XML definition.
`void` | `setMaxLength(java.lang.String maxLength)`
`void` | `setMinLength(java.lang.String minLength)`
`void` | `setTrim(boolean trim)`

Methods inherited from class com.opensymphony.xwork2.validator.metadata.AbstractFieldValidatorDescription
`asXml, getFieldName, isSimpleValidator, setFieldName, setKey, setMessage, setShortCircuit, setSimpleValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trim

    public boolean trim

### minLength

    public java.lang.String minLength

### maxLength

    public java.lang.String maxLength

Constructor Detail

### StringLengthFieldValidatorDescription

    public StringLengthFieldValidatorDescription()

### StringLengthFieldValidatorDescription

    public StringLengthFieldValidatorDescription(java.lang.String fieldName)

  Creates an AbstractFieldValidatorDescription with the specified field name.

  Parameters:
    `fieldName` -

Method Detail

### setTrim

    public void setTrim(boolean trim)

### setMinLength

    public void setMinLength(java.lang.String minLength)

### setMaxLength

    public void setMaxLength(java.lang.String maxLength)

### asFieldXml

    public java.lang.String asFieldXml()

  Returns the field validator XML definition.

  Specified by:
    `asFieldXml` in class `AbstractFieldValidatorDescription`
  Returns:
    the field validator XML definition.

### asSimpleXml

    public java.lang.String asSimpleXml()

  Returns the validator XML definition.

  Specified by:
    `asSimpleXml` in class `AbstractFieldValidatorDescription`
  Returns:
    the validator XML definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.